Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
weakmap Struct Reference

## Data Fields
st_table * | obj2wmap
st_table * | wmap2obj
VALUE | final

## Detailed Description

Definition at line 3713 of file gc.c.

## Field Documentation

VALUE weakmap::final

Definition at line 3716 of file gc.c.

Referenced by wmap_allocate(), wmap_aset(), and wmap_mark().

st_table* weakmap::obj2wmap

Definition at line 3714 of file gc.c.

Referenced by wmap_allocate(), wmap_aset(), wmap_finalize(), wmap_free(), wmap_mark(), and wmap_memsize().

st_table* weakmap::wmap2obj

Definition at line 3715 of file gc.c.

Referenced by wmap_allocate(), wmap_aref(), wmap_aset(), wmap_finalize(), wmap_free(), and wmap_memsize().

The documentation for this struct was generated from the following file:

- gc.c